use underlayer::{register, UnderlayEvent};

fn init() {
    simple_logger::init().expect("Could not initialize simple_logger");
}

fn main() {
    init();
    let rx: std::sync::mpsc::Receiver<UnderlayEvent> = register("Untitled 1 - Mousepad");

    let mut value = rx.recv();
    while let Ok(event) = value {
        log::info!("Got event: {event:?}");
        value = rx.recv();
    }

    log::error!("{value:?}");
}
